BizKitHub
DocsAPI ReferencePayment Gateway/bff/payment-gateway/toggle-active
postPayment GatewayAdmin BFF

/bff/payment-gateway/toggle-active

Quickly enable or disable a payment gateway. Disabled gateways cannot process new payments but existing payments can still be checked/synced.

Payment GatewaypostBffPayment-gatewayToggle-active

Parameters

JSON body

Request body

application/json
codestringRequired

Gateway code.

Examplegopay-production
activebooleanRequired

New active status.

Exampletrue

Response schema

1 status code documented

200SuccessStatus toggled successfully.
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/payment-gateway/toggle-active

post
curl -X POST "https://api.bizkithub.com/bff/payment-gateway/toggle-active" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "gopay-production",
  "active": true
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key